wireshark crashed with SIGSEGV in QIcon::~QIcon() under Unity

Bug #1803808 reported by Balint Reczey on 2018-11-17
48
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Wireshark
Fix Released
High
appmenu-qt5 (Ubuntu)
Undecided
Unassigned
wireshark (Ubuntu)
Undecided
Unassigned

Bug Description

app crashed after close

ProblemType: Crash
DistroRelease: Ubuntu 14.04
Package: wireshark-qt 2.6.3-1~ubuntu14.04.1
ProcVersionSignature: Ubuntu 3.16.0-77.99~14.04.1-generic 3.16.7-ckt27
Uname: Linux 3.16.0-77-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.29
Architecture: amd64
CurrentDesktop: Unity
Date: Tue Oct 16 13:16:50 2018
ExecutablePath: /usr/bin/wireshark
InstallationDate: Installed on 2015-07-27 (1177 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
ProcCmdline: wireshark
Signal: 11
SourcePackage: wireshark
StacktraceTop:
 QIcon::~QIcon() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
 ?? () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
 ?? () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
 ?? () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
 QIcon::~QIcon() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
Title: wireshark crashed with SIGSEGV in QIcon::~QIcon()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dialout dip lpadmin plugdev sambashare sudo wireshark

(Reported originally as a private bug, this bug does not contain sensitive information)

This is also reported as an error many times: https://errors.ubuntu.com/problem/ac9b86e48c6b6b5792c1128a836ba63213d62b44

CVE References

Download full text (4.5 KiB)

Build Information:
TShark (Wireshark) 2.6.3 (Git v2.6.3 packaged as 2.6.3-1~ubuntu14.04.1)

Copyright 1998-2018 Gerald Combs <email address hidden> and contributors.
License GPLv2+: GNU GPL version 2 or later <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compiled (64-bit) with libpcap, with POSIX capabilities (Linux), with libnl 3,
with GLib 2.40.2, with zlib 1.2.8, with SMI 0.4.8, with c-ares 1.10.0, with Lua
5.2.3, with GnuTLS 2.12.23, with Gcrypt 1.5.3, with MIT Kerberos, without
MaxMind DB resolver, without nghttp2, with LZ4, with Snappy, with libxml2 2.9.1.

Running on Linux 4.4.0-31-generic, with Intel Core Processor (Skylake, IBRS)
(with SSE4.2), with 2000 MB of physical memory, with locale
LC_CTYPE=en_US.UTF-8, LC_NUMERIC=hu_HU.UTF-8, LC_TIME=hu_HU.UTF-8,
LC_COLLATE=en_US.UTF-8, LC_MONETARY=hu_HU.UTF-8, LC_MESSAGES=en_US.UTF-8,
LC_PAPER=hu_HU.UTF-8, LC_NAME=hu_HU.UTF-8, LC_ADDRESS=hu_HU.UTF-8,
LC_TELEPHONE=hu_HU.UTF-8, LC_MEASUREMENT=hu_HU.UTF-8,
LC_IDENTIFICATION=hu_HU.UTF-8, with libpcap version 1.5.3, with GnuTLS 2.12.23,
with Gcrypt 1.5.3, with zlib 1.2.8, binary plugins supported (13 loaded).

Built using gcc 4.8.4.
--
Reproduction:

1. Start the Qt GUI
2. Close the application using the window's close icon on the title bar (x).

The following crash can be observed when doing so with Valgrind:

==3163== Invalid read of size 8
==3163== at 0xC0FF338: QIcon::~QIcon() (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC108BD7: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC1052D8: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC1053D8: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC0FF33A: QIcon::~QIcon() (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC0FF378: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xDBE71A8: __run_exit_handlers (exit.c:82)
==3163== by 0xDBE71F4: exit (exit.c:104)
==3163== by 0x275752: exit_application (in /usr/bin/wireshark)
==3163== by 0x2712B7: main (in /usr/bin/wireshark)
==3163== Address 0x32cdad38 is not stack'd, malloc'd or (recently) free'd
==3163==
==3163==
==3163== Process terminating with default action of signal 11 (SIGSEGV)
==3163== Access not within mapped region at address 0x32CDAD38
==3163== at 0xC0FF338: QIcon::~QIcon() (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC108BD7: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC1052D8: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC1053D8: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC0FF33A: QIcon::~QIcon() (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xC0FF378: ??? (in /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.2.1)
==3163== by 0xDBE71A8: __run_exit_handlers (exit.c:82)
==3163== by 0xDBE71F4: exit (exit.c:104)
==3163== by 0x275752: exit_application (in /usr/bin/wireshark)
==3163== by 0x2712B7: main (in /usr/bin/wiresh...

Read more...

Wireshark 2.6.3 has been rolled out as a security update on all supported Ubuntu versions which caused the sharp increase of the Qt GUI user base on all Ubuntu LTS releases.

Was this issue also present on Debian stretch/buster or other Ubuntu versions?
Is this limited to the standard (Unity?) UI or is it also present on Kubuntu?

(In reply to Peter Wu from comment #2)
> Was this issue also present on Debian stretch/buster or other Ubuntu
> versions?
> Is this limited to the standard (Unity?) UI or is it also present on Kubuntu?

I have not checked Debian, but I could not reproduce it with Trusty's KDE and Fluxbox thus it seems to be Unity-specific.

(In reply to Balint Reczey from comment #3)
> (In reply to Peter Wu from comment #2)
> > Was this issue also present on Debian stretch/buster or other Ubuntu
> > versions?
> > Is this limited to the standard (Unity?) UI or is it also present on Kubuntu?
>
> I have not checked Debian, but I could not reproduce it with Trusty's KDE
> and Fluxbox thus it seems to be Unity-specific.

KDE with the Breeze theme used to have a crash on exit as well which was caused by a bug in the Breeze style plugin:
https://bugs.launchpad.net/ubuntu/+source/breeze/+bug/1545783

If this issue is only affecting Unity, then it might be worth looking into its Qt integration plugin.

I get this warning normally (in addtion to the segfault):
void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "" under id 195
void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "" under id 196

However after performing this:
sudo chmod 0 /usr/lib/x86_64-linux-gnu/qt5/plugins/platformthemes/libappmenu-qt5.so

I no longer get the warning or the segfault. Confirmed that initial behavior occurs after resetting the .so file to original permissions.

The workaround I found was installing gtk2-engines-oxygen, with this package present the Qt interface does not crash.

Balint Reczey (rbalint) wrote :

This is also reported as an error many times: https://errors.ubuntu.com/problem/ac9b86e48c6b6b5792c1128a836ba63213d62b44

One workaround I found was installing gtk2-engines-oxygen, with this package present the Qt interface does not crash on Trusty.

description: updated
Balint Reczey (rbalint) wrote :

The crash is observed only in the Unity session.

summary: - wireshark crashed with SIGSEGV in QIcon::~QIcon()
+ wireshark crashed with SIGSEGV in QIcon::~QIcon() under Unity
Changed in wireshark:
importance: Unknown → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in wireshark (Ubuntu):
status: New → Confirmed
Balint Reczey (rbalint) on 2018-11-17
affects: unity (Ubuntu) → appmenu-qt5 (Ubuntu)
Changed in appmenu-qt5 (Ubuntu):
status: Confirmed → New
Balint Reczey (rbalint) wrote :

A possible other workaround that works on Xenial, too, is removing the appmenu-qt5 package until appmenu-qt5 is fixed.

The bug seems to be in appmenu-qt rather than in Wireshark.

Changed in wireshark (Ubuntu):
status: Confirmed → Invalid
Changed in wireshark:
status: Unknown → Won't Fix
Mikael Kanstrup (kanstrup) wrote :

Hi,

I was trying to find a cause for this crash before finding this bug item reported here. After reading the comments I wanted to give some info on what I've found.

I'm running Ubuntu 16.04 and experience the problem with latest Wireshark on master branch. I noticed it a few weeks back but didn't find time to investigate it until now. Bisecting the problem I found that the crash was introduced with the following change in Wireshark:

2cfa301 Qt: Create the main display filter combo sooner.

This change is also present on 2.6 from 2.6.3 and on cherry-picked as:

3a0da5f Qt: Create the main display filter combo sooner.

Removing appmenu-qt5 package didn't help for me. Neither did installing gtk2-engines-oxygen package.

Hi,

I was trying to find a cause for this crash before finding this bug reported at https://bugs.launchpad.net/ubuntu/+source/wireshark/+bug/1803808. I added comments about my findings and wanted to add it here too as for me it's not clear where the root cause lies.

I'm running Ubuntu 16.04 and experience the problem with latest Wireshark on master branch. I noticed it a few weeks back but didn't find time to investigate it until now. Bisecting the problem I found that the crash was introduced with the following change in Wireshark:

2cfa301 Qt: Create the main display filter combo sooner.

This change is also present on 2.6 from 2.6.3 and on cherry-picked as:

3a0da5f Qt: Create the main display filter combo sooner.

Version 2.9.0 (v2.9.0rc0-2605-g5d740aff)
Copyright 1998-2018 Gerald Combs <email address hidden> and contributors. License GPLv2+: GNU GPL version 2 or later <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html> This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Compiled (64-bit) with Qt 5.5.1, with libpcap, with POSIX capabilities (Linux), with libnl 3, with GLib 2.48.2, with zlib 1.2.8, with SMI 0.4.8, with c-ares 1.10.0, with Lua 5.2.4, with GnuTLS 3.4.10, with Gcrypt 1.6.5, with MIT Kerberos, without MaxMind DB resolver, with nghttp2 1.7.1, with LZ4, with Snappy, with libxml2 2.9.3, with QtMultimedia, with SBC, with SpanDSP, without bcg729.
Running on Linux 4.15.0-36-generic, with Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz (with SSE4.2), with 24032 MB of physical memory, with locale en_US.UTF-8, with libpcap version 1.7.4, with GnuTLS 3.4.10, with Gcrypt 1.6.5, with zlib 1.2.8, binary plugins supported (14 loaded). Built using gcc 5.4.0 20160609.
Wireshark is Open Source Software released under the GNU General Public License.
Check the man page and http://www.wireshark.org for more information.

Backtrace from gdb:

Thread 1 "wireshark" received signal SIGSEGV, Segmentation fault.
0x00007ffff09cd0a8 in QIcon::~QIcon() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
(gdb) bt
#0 0x00007ffff09cd0a8 in QIcon::~QIcon() () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#1 0x00007ffff09d6c88 in () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#2 0x00007ffff09d107e in () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#3 0x00007ffff09cd0da in QIcon::~QIcon() () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#4 0x00007ffff09cd109 in () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#5 0x00007fffeed66ff8 in __run_exit_handlers (status=0, listp=0x7fffef0f15f8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#6 0x00007fffeed67045 in __GI_exit (status=<optimized out>) at exit.c:104
#7 0x0000555555623bc3 in exit_application(int) (status=<optimized out>)
    at /~/myrepos/wireshark/ui/qt/main.cpp:161
#8 0x00005555556071e3 in main(int, char**) (argc=1, qt_argv=<optimized out>)
    at /~/myrepos/wireshark/ui/qt/main.cpp:956

The commit that Mikael refers to links to bug 14979.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in appmenu-qt5 (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireshark - 2.6.4-2~ubuntu14.04.1

---------------
wireshark (2.6.4-2~ubuntu14.04.1) trusty-security; urgency=medium

  * Use GnuTLS available in Trusty
  * Revert installing mmdbresolve since it is not shipped in Trusty
  * Make wireshark depend on both wireshark-gtk and wireshark-qt
  * Recommend gtk2-engines-oxygen to avoid Qt interface crash on exit
    (LP: #1803808)
  * Drop build dependencies disabling relevant features:
    libssh-gcrypt-dev, libmaxminddb-dev and libnghttp2-dev
  * Rebuild for Trusty to fix multiple security issues

 -- Balint Reczey <email address hidden> Sat, 17 Nov 2018 12:10:32 +0100

Changed in wireshark (Ubuntu):
status: Invalid → Fix Released

Is there a regression in 2.6.6-1~ubuntu16.04.0? I am seeing this error again.

Peter Wu (lekensteyn) wrote :
Download full text (3.2 KiB)

Can reproduce the crash with a fully up-to-date Ubuntu 16.04.

libqt5gui5:amd64 5.5.1+dfsg-16ubuntu7.6
wireshark-qt 2.6.8-1~ubuntu16.04.0

(gdb) bt
#0 QIconPrivate::~QIconPrivate (this=0x5555580aaf60, __in_chrg=<optimized out>) at image/qicon_p.h:64
#1 QIcon::~QIcon (this=<optimized out>, __in_chrg=<optimized out>) at image/qicon.cpp:681
#2 0x00007ffff0ea4c88 in ScalableEntry::~ScalableEntry (this=0x55555641d500, __in_chrg=<optimized out>)
    at ../../include/QtGui/5.5.1/QtGui/private/../../../../../src/gui/image/qiconloader_p.h:95
#3 ScalableEntry::~ScalableEntry (this=0x55555641d500, __in_chrg=<optimized out>) at ../../include/QtGui/5.5.1/QtGui/private/../../../../../src/gui/image/qiconloader_p.h:95
#4 0x00007ffff0e9f07e in qDeleteAll<QList<QIconLoaderEngineEntry*>::const_iterator> (end=..., begin=...) at ../../include/QtCore/../../src/corelib/tools/qalgorithms.h:317
#5 qDeleteAll<QList<QIconLoaderEngineEntry*> > (c=...) at ../../include/QtCore/../../src/corelib/tools/qalgorithms.h:325
#6 QIconLoaderEngine::~QIconLoaderEngine (this=0x5555563a82c0, __in_chrg=<optimized out>) at image/qiconloader.cpp:352
#7 QIconLoaderEngine::~QIconLoaderEngine (this=0x5555563a82c0, __in_chrg=<optimized out>) at image/qiconloader.cpp:353
#8 0x00007ffff0e9b0da in QIconPrivate::~QIconPrivate (this=0x5555564193a0, __in_chrg=<optimized out>) at image/qicon_p.h:64
#9 QIcon::~QIcon (this=<optimized out>, __in_chrg=<optimized out>) at image/qicon.cpp:681
#10 0x00007ffff0e9b109 in QCache<QString, QIcon>::clear (this=0x7ffff126a3a0 <(anonymous namespace)::Q_QGS_qtIconCache::innerFunction()::holder>)
    at ../../include/QtCore/../../src/corelib/tools/qcache.h:118
#11 QCache<QString, QIcon>::~QCache (this=0x7ffff126a3a0 <(anonymous namespace)::Q_QGS_qtIconCache::innerFunction()::holder>, __in_chrg=<optimized out>)
    at ../../include/QtCore/../../src/corelib/tools/qcache.h:87
#12 (anonymous namespace)::IconCache::~IconCache (this=0x7ffff126a3a0 <(anonymous namespace)::Q_QGS_qtIconCache::innerFunction()::holder>, __in_chrg=<optimized out>) at image/qicon.cpp:98
#13 (anonymous namespace)::Q_QGS_qtIconCache::Holder::~Holder (this=0x7ffff126a3a0 <(anonymous namespace)::Q_QGS_qtIconCache::innerFunction()::holder>, __in_chrg=<optimized out>)
    at image/qicon.cpp:108
#14 0x00007fffef549ff8 in __run_exit_handlers (status=0, listp=0x7fffef8d45f8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#15 0x00007fffef54a045 in __GI_exit (status=<optimized out>) at exit.c:104
#16 0x00005555556b6a83 in exit_application (status=<optimized out>) at /build/wireshark-7bKlj5/wireshark-2.6.8/wireshark-qt.cpp:174
#17 0x00005555556b2296 in main (argc=1, qt_argv=<optimized out>) at /build/wireshark-7bKlj5/wireshark-2.6.8/wireshark-qt.cpp:984

I was not able to reproduce this issue with a Wireshark build from git using `cmake -GNinja -DCMAKE_BUILD_TYPE=Debug -DENABLE_ASAN=1 ~/wireshark && ninja wireshark`:

* master v3.1.0rc0-1166-g1e7f85e02f66
* master-3.0 v3.0.3rc0-46-gd094b56a9b4e

I can reproduce the crash with the same build settings and:

* master-2.6 v3.1.0rc0-1168-gc0822c187b

No idea what has changed since 3.0, but I guess you can safely upgrade to Wi...

Read more...

Peter Wu (lekensteyn) wrote :

Oops, the commit reference for the master-2.6 branch was wrong, I meant to say:
* master-2.6 v2.6.8rc0-23-ga616bd2

I have completed bisection and will propose a patch upstream.

As reported in https://bugs.launchpad.net/ubuntu/+bug/1803808, the issue cannot be reproduced on 3.0, but only 2.6. Bisection led up to:

3a0da5fbb2c907eb90701275555aefd1a8e2415c is the first bad commit
commit 3a0da5fbb2c907eb90701275555aefd1a8e2415c
Date: Mon Jul 16 09:06:39 2018 -0700

    Qt: Create the main display filter combo sooner.

    Construct MainWindow::df_combo_box_ in our initializer list, otherwise
    anything that triggers a resizeEvent early on might result in an NPE.

    Wait until everything is in place before calling setMinimumWidth.

    Conflicts:
        ui/qt/main_window.cpp

    Bug: 14979
    Change-Id: I78b349f9c3ea53d8b1399a77169bbbd0a4a69191
    Reviewed-on: https://code.wireshark.org/review/28728
    Petri-Dish: Gerald Combs <email address hidden>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Gerald Combs <email address hidden>
    (cherry picked from commit 2cfa3013bc2890dd1ea8468366344c3d3878f3a0)
    Reviewed-on: https://code.wireshark.org/review/28746

The issue was likely (unintentionally?) resolved in v2.9.0rc0-2728-gabfe9572bd.

Balint Reczey (rbalint) wrote :

@lekensteyn Thanks! As a side note upgrade to 3.0 is not an option for many users yet since 3.0 is waiting for approval in Debian's NEW queue.
I'll be happy to include the fix in Wireshark's next security update though, thus users get this fixed automatically.

Change 33828 had a related patch set uploaded by Peter Wu:
Qt: fix QIcon crash on exit on Ubuntu 16.04 with Qt 5.5.1

https://code.wireshark.org/review/33828

Isn't bug 15894 a duplicate of this one?

*** Bug 15894 has been marked as a duplicate of this bug. ***

tags: added: id-5d1ca3e32ebb42861d4615ce

Change 33828 merged by Anders Broman:
Qt: fix QIcon crash on exit on Ubuntu 16.04 with Qt 5.5.1

https://code.wireshark.org/review/33828

Changed in wireshark:
status: Won't Fix → Unknown

Fixed in v2.6.10rc0-40-g000cc11d8f

Changed in wireshark:
status: Unknown → Fix Released
Peter Wu (lekensteyn) wrote :

@rbalint Should this bug be reopened until the fix actually gets merged?

Balint Reczey (rbalint) on 2019-07-08
Changed in wireshark (Ubuntu):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireshark - 2.6.10-1

---------------
wireshark (2.6.10-1) unstable; urgency=medium

  * New upstream version 2.6.10
     - security fixes:
       - ASN.1 BER and related dissectors crash (CVE-2019-13619)
     - fix QIcon crash on exit on Ubuntu 16.04 with Qt 5.5.1 (LP: #1803808)
  * debian/gitlab-ci.yml: User minimal reference configuration

 -- Balint Reczey <email address hidden> Wed, 17 Jul 2019 23:23:05 +0200

Changed in wireshark (Ubuntu):
status: Fix Committed → Fix Released
Stdedos (stdedos) wrote :

Where is the update?

https://packages.ubuntu.com/search?mode=exactfilename&section=all&arch=any&keywords=wireshark-qt&searchon=names gives:

Package wireshark-qt
xenial (16.04LTS) (net): network traffic analyzer - Qt version [universe]
2.6.8-1~ubuntu16.04.0 [security]: amd64 i386
2.0.2+ga16e22e-1 [ports]: arm64 armhf powerpc ppc64el s390x
xenial-updates (net): network traffic analyzer - Qt version [universe]
2.6.8-1~ubuntu16.04.0: amd64 arm64 armhf i386 powerpc ppc64el s390x
bionic (18.04LTS) (net): network traffic analyzer - Qt version [universe]
2.6.8-1~ubuntu18.04.0 [security]: amd64 i386
2.4.5-1 [ports]: arm64 armhf ppc64el s390x
bionic-updates (net): network traffic analyzer - Qt version [universe]
2.6.8-1~ubuntu18.04.0: amd64 arm64 armhf i386 ppc64el s390x
cosmic (18.10) (net): network traffic analyzer - Qt version [universe]
2.6.8-1~ubuntu18.10.0 [security]: amd64 i386
2.6.4-1 [ports]: arm64 armhf ppc64el s390x
cosmic-updates (net): network traffic analyzer - Qt version [universe]
2.6.8-1~ubuntu18.10.0: amd64 arm64 armhf i386 ppc64el s390x
disco (19.04) (net): network traffic analyzer - Qt version [universe]
2.6.8-1: amd64 arm64 armhf i386 ppc64el s390x
eoan (net): network traffic analyzer - Qt version [universe]
3.0.3-1: amd64 arm64 armhf i386 ppc64el s390x

i.e. no 2.6.10

Balint Reczey (rbalint) wrote :

I have prepared packages proposed for -security at:

 https://launchpad.net/~rbalint/+archive/ubuntu/scratch2

Testing is appreciated.

Stdedos (stdedos) wrote :

According to the reproduction: https://bugs.launchpad.net/ubuntu/+source/wireshark/+bug/1803808/comments/3

> 1. Start the Qt GUI
> 2. Close the application using the window's close icon on the title bar (x).

I don't see the issue replicated.

Unfortunately, I forgot to close the "official" wireshark by pressing (x); I used Ctrl+Q.
Hence, I am 98% sure that the issue was fixed (and not 99%). Basic/Normal functionality of opening and browsing pcap files seems unaffected.

I'll try to remember to re-test again when I ppa-purge (when the package starts actually moving towards -security); I am keeping it for now

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.